> ## Documentation Index
> Fetch the complete documentation index at: https://documents.trocco.io/llms.txt
> Use this file to discover all available pages before exploring further.
# 転送ジョブ実行
> 転送設定を指定して転送ジョブを実行します。
## OpenAPI
````json POST /api/jobs
{
"openapi": "3.0.3",
"info": {
"title": "trocco APIリファレンス",
"description": "trocco APIリファレンス",
"version": "0.0.1"
},
"servers": [
{
"url": "https://trocco.io"
}
],
"security": [
{
"ApiKeyAuth": []
}
],
"tags": [
{
"name": "users",
"description": "ユーザー",
"externalDocs": {
"url": "https://documents.trocco.io/docs/about-account-user"
}
},
{
"name": "teams",
"description": "チーム",
"externalDocs": {
"url": "https://documents.trocco.io/docs/team"
}
},
{
"name": "connections",
"description": "接続情報",
"externalDocs": {
"url": "https://documents.trocco.io/docs/connection-configurations"
}
},
{
"name": "custom_connectors",
"description": "カスタムコネクタ定義"
},
{
"name": "datamart_definitions",
"description": "データマート定義",
"externalDocs": {
"url": "https://documents.trocco.io/docs/data-mart"
}
},
{
"name": "environment_groups",
"description": "環境グループ"
},
{
"name": "environments",
"description": "環境"
},
{
"name": "jobs",
"description": "転送ジョブ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/etl-configuration"
}
},
{
"name": "pipeline_jobs",
"description": "ワークフロージョブ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/about-workflow"
}
},
{
"name": "resource_groups",
"description": "リソースグループ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/resource-group"
}
},
{
"name": "dbt_git_repositories",
"description": "dbt Gitリポジトリ"
},
{
"name": "dbt_job_definitions",
"description": "dbtジョブ設定",
"externalDocs": {
"url": "https://documents.trocco.io/docs/dbt-job-configuration"
}
},
{
"name": "dbt_jobs",
"description": "dbtジョブ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/dbt-job-configuration"
}
},
{
"name": "notification_destinations",
"description": "通知先",
"externalDocs": {
"url": "https://documents.trocco.io/docs/trocco-tutorial-additional-settings"
}
}
],
"externalDocs": {
"description": "trocco APIについて",
"url": "https://documents.trocco.io/docs/trocco-api"
},
"paths": {
"/api/jobs": {
"post": {
"summary": "転送ジョブ実行",
"description": "転送設定を指定して転送ジョブを実行します。",
"operationId": "runJob",
"tags": [
"jobs"
],
"parameters": [
{
"name": "job_definition_id",
"description": "転送設定IDを指定します。
\nTROCCO画面からIDを確認する場合は、[API実行時に指定する各種パラメーターの確認方法](https://documents.trocco.io/trocco-api/apidocs/overview#api%E5%AE%9F%E8%A1%8C%E6%99%82%E3%81%AB%E6%8C%87%E5%AE%9A%E3%81%99%E3%82%8B%E5%90%84%E7%A8%AE%E3%83%91%E3%83%A9%E3%83%A1%E3%83%BC%E3%82%BF%E3%83%BC%E3%81%AE%E7%A2%BA%E8%AA%8D%E6%96%B9%E6%B3%95)を参照ください。\n",
"in": "query",
"required": true,
"schema": {
"type": "integer",
"format": "int64"
},
"example": 123
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"context_time": {
"description": "転送設定でカスタム変数 時刻・日付(キューイング時) を利用する場合、展開される日時を指定します。
\n未指定の場合、APIリクエストが送信された日時が展開されます。タイムゾーンには`time_zone`の値が使用されます。\n",
"type": "string",
"example": "2023-05-19 00:00:00"
},
"time_zone": {
"description": "タイムゾーンを指定します。
\n`context_time`で指定する日時に適用されます。指定できる値は、[タイムゾーン(time_zone)](https://documents.trocco.io/trocco-api/apidocs/overview#%E3%82%BF%E3%82%A4%E3%83%A0%E3%82%BE%E3%83%BC%E3%83%B3%EF%BC%88timezone%EF%BC%89)を参照ください。\n",
"type": "string",
"default": "Asia/Tokyo",
"example": "Etc/UTC"
},
"custom_variables": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"description": "カスタム変数の変数名を指定します。変数名を`$`で囲ってください。
\n[複数のカスタム変数を指定する](https://documents.trocco.io/trocco-api/apidocs/overview#%E3%82%AB%E3%82%B9%E3%82%BF%E3%83%A0%E5%A4%89%E6%95%B0%E3%82%92%E8%A4%87%E6%95%B0%E6%8C%87%E5%AE%9A%E3%81%99%E3%82%8B%E6%96%B9%E6%B3%95)ことができます。\n",
"type": "string",
"example": "$companyId$"
},
"value": {
"description": "直前に指定したカスタム変数に展開する値を指定します。
\n[複数のカスタム変数を指定する](https://documents.trocco.io/trocco-api/apidocs/overview#%E3%82%AB%E3%82%B9%E3%82%BF%E3%83%A0%E5%A4%89%E6%95%B0%E3%82%92%E8%A4%87%E6%95%B0%E6%8C%87%E5%AE%9A%E3%81%99%E3%82%8B%E6%96%B9%E6%B3%95)ことができます。\n",
"type": "string",
"example": "c-12345"
}
}
}
},
"manual_resource_enhancement": {
"description": "※このパラメーターはプロフェッショナルプランでのみご利用いただけます。
\nジョブ実行時に利用するリソースサイズを指定できます。指定しなかった場合、転送設定側で指定されているリソースサイズが適用されます。
\nまた、コネクタによって指定できる値が異なります。
\n- 通常のコネクタ: `medium`, `large`, `xlarge`
\n- 一部例外的なコネクタ: `custom_spec`, `xlarge`
\n指定できる各値のスペックや、一部例外的なコネクタの種類など、詳しくは[リソース増強オプションの種類およびスペック](https://documents.trocco.io/docs/professional-plan#%E3%83%AA%E3%82%BD%E3%83%BC%E3%82%B9%E5%A2%97%E5%BC%B7%E3%82%AA%E3%83%97%E3%82%B7%E3%83%A7%E3%83%B3%E3%81%AE%E7%A8%AE%E9%A1%9E%E3%81%8A%E3%82%88%E3%81%B3%E3%82%B9%E3%83%9A%E3%83%83%E3%82%AF)を参照ください。
\n",
"type": "string",
"enum": [
"medium",
"custom_spec",
"large",
"xlarge"
],
"nullable": true
}
}
}
}
}
},
"responses": {
"200": {
"description": "実行した転送ジョブのステータスを返します。",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"id": {
"description": "転送ジョブIDです。",
"type": "integer",
"format": "int64",
"example": 123
},
"job_definition_id": {
"description": "転送設定IDです。",
"type": "integer",
"format": "int64",
"example": 321
},
"job_definition_name": {
"description": "転送設定名です。",
"type": "string",
"example": "sample-job-definition-name"
},
"status": {
"description": "転送ジョブのステータスです。\n- `queued` - 実行待機\n- `setting_up` - 実行準備\n- `executing` - 実行中\n- `interrupting` - 実行中断\n- `succeeded` - 実行完了(成功)\n- `error` - 実行完了(エラー)\n- `canceled` - 実行完了(キャンセル)\n- `skipped` - 実行完了(スキップ)\n- `timeout` - 実行完了(タイムアウト)\n",
"type": "string",
"example": "queued",
"enum": [
"queued",
"setting_up",
"executing",
"interrupting",
"succeeded",
"error",
"canceled",
"skipped",
"timeout"
]
},
"created_at": {
"description": "転送ジョブの作成日時です。タイムゾーンはJST 日本時間(GMT+9)です。",
"type": "string",
"example": "2023-05-19T10:14:00+00:00"
}
},
"required": [
"id",
"job_definition_id",
"job_definition_name",
"status",
"created_at"
]
}
}
}
},
"400": {
"description": "Bad request.
\n不正なリクエストです。\n"
},
"401": {
"description": "Not authenticated.
\n認証エラーです。API KEYをご確認ください。\n"
},
"404": {
"description": "Not found.
\n要求したリソースが見つかりません。\n"
}
}
}
}
},
"components": {
"securitySchemes": {
"ApiKeyAuth": {
"type": "apiKey",
"in": "header",
"name": "Authorization",
"description": "認証キーとなるAPI KEYをAuthorization: Token {{API KEY}}の形式でヘッダーにセットします。
\nAPI KEYがabc123の場合は、Authorization: Token abc123とします。
\nAPI KEYの作成方法は、TROCCO API KEYの作成を参照ください。\n"
}
}
}
}
````